summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nelson Milum <truthfatal@gmail.com>2010-05-11 20:00:55 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:55 +0200
commiteaed7bcbb2c14a74e444d1544ec6e7c57ae3b64b (patch)
tree2b8a6bbeb171d92908c66bf353d6d7b5e6d0a298
parent20b2fbbb8c416767c1dab2d051622107e0c066c2 (diff)
downloadslackbuilds-eaed7bcbb2c14a74e444d1544ec6e7c57ae3b64b.tar.gz
slackbuilds-eaed7bcbb2c14a74e444d1544ec6e7c57ae3b64b.tar.xz
libraries/libqalculate: Added to 12.0 repository
-rw-r--r--libraries/libqalculate/README4
-rw-r--r--libraries/libqalculate/libqalculate.SlackBuild59
-rw-r--r--libraries/libqalculate/libqalculate.info8
-rw-r--r--libraries/libqalculate/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/libraries/libqalculate/README b/libraries/libqalculate/README
new file mode 100644
index 0000000000..efccafa5a0
--- /dev/null
+++ b/libraries/libqalculate/README
@@ -0,0 +1,4 @@
+libqalculate is a library dependancy for Qalculate! and its related packages
+libqalculate is math libary for expression evaluation with units, variables
+and functions support and CAS functionality.
+Requires the cln library, which is also available at SlackBuilds.org.
diff --git a/libraries/libqalculate/libqalculate.SlackBuild b/libraries/libqalculate/libqalculate.SlackBuild
new file mode 100644
index 0000000000..94396ed9fa
--- /dev/null
+++ b/libraries/libqalculate/libqalculate.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for libqalculate
+# Original Script (http://www.slackbuilds.org/template.SlackBuild)
+# Mangled by (Nelson Milum) (truthfatal@gmail.com)
+
+PRGNAM=libqalculate
+VERSION=0.9.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCUMENTATION="AUTHORS COPYING ChangeLog INSTALL NEWS README README.translate TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+--prefix=/usr \
+--sysconfdir=/etc \
+--localstatedir=/var \
+--mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+# This package has no man or info pages
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCUMENTATION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# No need to keep reference docs, I don't think...
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libqalculate/libqalculate.info b/libraries/libqalculate/libqalculate.info
new file mode 100644
index 0000000000..d732bf36f9
--- /dev/null
+++ b/libraries/libqalculate/libqalculate.info
@@ -0,0 +1,8 @@
+PRGNAM="libqalculate"
+VERSION="0.9.6"
+HOMEPAGE="http://qalculate.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/qalculate/libqalculate-0.9.6.tar.gz"
+MD5SUM="e14432fc490f9a697e23e31a74e0eb19"
+MAINTAINER="Nelson Milum"
+EMAIL="truthfatal@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libqalculate/slack-desc b/libraries/libqalculate/slack-desc
new file mode 100644
index 0000000000..5ddd9f7218
--- /dev/null
+++ b/libraries/libqalculate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+libqalculate: libqalculate (Library for Qualculate)
+libqalculate:
+libqalculate: libqalculate is a math libary for expression evaluation with
+libqalculate: units, variables, and functions support and CAS functionality.
+libqalculate:
+libqalculate:
+libqalculate:
+libqalculate:
+libqalculate:
+libqalculate:
+libqalculate: